## audacity 2.2.1

=== lib-src/libsoxr/CMakeLists.txt ===
# SoX Resampler Library       Copyright (c) 2007-13 robs@users.sourceforge.net
# Licence for this file: LGPL v2.1                  See LICENCE for details.

cmake_minimum_required (VERSION 2.8 FATAL_ERROR)

project (soxr C)
set (DESCRIPTION_SUMMARY "High quality, one-dimensional sample-rate conversion library")



# Release versioning:

set (PROJECT_VERSION_MAJOR 0)
set (PROJECT_VERSION_MINOR 1)
set (PROJECT_VERSION_PATCH 1)

# For shared-object; if, since the last public release:
#  * library code changed at all: ++revision
#  * interfaces changed at all:   ++current, revision = 0
#  * interfaces added:            ++age
#  * interfaces removed:          age = 0

set (SO_VERSION_CURRENT  1)
set (SO_VERSION_REVISION 0)
set (SO_VERSION_AGE      1)



# Main options:

include (CMakeDependentOption)

if (NOT CMAKE_BUILD_TYPE)
  set (CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif ()

option (BUILD_TESTS "Build sanity-tests."  ON)
option (BUILD_SHARED_LIBS "Build shared libraries." ON)
option (BUILD_EXAMPLES "Build examples." OFF)
option (WITH_OPENMP "Include OpenMP threading." ON)
option (WITH_LSR_BINDINGS "Include a `libsamplerate'-like interface." ON)
cmake_dependent_option (WITH_SINGLE_PRECISION "Build with single precision (for up to 20-bit accuracy)." ON
  "WITH_DOUBLE_PRECISION" ON)
cmake_dependent_option (WITH_DOUBLE_PRECISION "Build with double precision (for up to 32-bit accuracy)." ON
  "WITH_SINGLE_PRECISION" ON)
cmake_dependent_option (WITH_SIMD "Use SIMD (for faster single precision)." ON
  "WITH_SINGLE_PRECISION" OFF)
cmake_dependent_option (WITH_AVFFT "Use libavcodec (LGPL) for SIMD DFT." OFF
  "WITH_SIMD;NOT WITH_PFFFT" OFF)
cmake_dependent_option (WITH_PFFFT "Use PFFFT (BSD-like licence) for SIMD DFT." ON
  "WITH_SIMD;NOT WITH_AVFFT" OFF)
if (UNIX)
  if (EXISTS ${PROJECT_SOURCE_DIR}/lsr-tests)
    cmake_dependent_option (BUILD_LSR_TESTS "Build LSR tests." OFF
      "WITH_LSR_BINDINGS" OFF)
  endif ()
endif ()



# Introspection:

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

include (CheckFunctionExists)
include (CheckIncludeFiles)
include (CheckLibraryExists)
include (TestBigEndian)

check_library_exists (m pow "" NEED_LIBM)
if (NEED_LIBM)
  set (CMAKE_REQUIRED_LIBRARIES "m;${CMAKE_REQUIRED_LIBRARIES}")
  link_libraries (m)
endif ()

if (WITH_OPENMP)
  find_package (OpenMP)
endif ()
if (OPENMP_FOUND)
  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
endif ()

if (WITH_SIMD)
  find_package (SIMD)
  if (SIMD_FOUND)
    set (HAVE_SIMD 1)
  endif ()
endif ()

if (WITH_SINGLE_PRECISION)
  set (HAVE_SINGLE_PRECISION 1)
endif ()

if (WITH_DOUBLE_PRECISION)
  set (HAVE_DOUBLE_PRECISION 1)
endif ()

if (WITH_AVFFT)
  find_package (LibAVCodec)
  if (AVCODEC_FOUND)
    include_directories (${AVCODEC_INCLUDE_DIRS})
    link_libraries (${AVCODEC_LIBRARIES})
    set (HAVE_AVFFT 1)
  endif ()
endif ()

check_function_exists (lrint HAVE_LRINT)
check_include_files (fenv.h HAVE_FENV_H)
test_big_endian (WORDS_BIGENDIAN)

macro (make_exist)
  foreach (x ${ARGN})
    if (NOT ${x})
      set (${x} 0)
    endif ()
  endforeach ()
endmacro ()

make_exist (HAVE_LRINT HAVE_FENV_H WORDS_BIGENDIAN HAVE_SIMD)
make_exist (HAVE_SINGLE_PRECISION HAVE_DOUBLE_PRECISION HAVE_AVFFT)



# Compiler configuration:

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
  set (PROJECT_CXX_FLAGS "-Wconversion -Wall -W -pedantic -Wundef -Wcast-align -Wpointer-arith -Wno-long-long")
  set (PROJECT_C_FLAGS "${PROJECT_CXX_FLAGS} -Wnested-externs -Wmissing-prototypes -Wstrict-prototypes")
  if (CMAKE_BUILD_TYPE STREQUAL "Release")
    set (CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -s") # strip
  endif ()
  cmake_dependent_option (VISIBILITY_HIDDEN "Build with -fvisibility=hidden." ON
    "BUILD_SHARED_LIBS" OFF)
  if (VISIBILITY_HIDDEN)
    add_definitions (-fvisibility=hidden -DSOXR_VISIBILITY)
  endif ()
endif ()

if (MSVC)
  add_definitions (-D_USE_MATH_DEFINES -D_CRT_SECURE_NO_WARNINGS)
  option (ENABLE_STATIC_RUNTIME "Visual Studio, link with runtime statically."  OFF)
  if (ENABLE_STATIC_RUNTIME)
    foreach (flag_var CMAKE_CXX_FLAGS CMAKE_CXX_FLAGS_DEBUG CMAKE_CXX_FLAGS_RELEASE CMAKE_CXX_FLAGS_MINSIZEREL CMAKE_CXX_FLAGS_RELWITHDEBINFO)
      string (REGEX REPLACE "/MD" "/MT" ${flag_var} "${${flag_var}}")
    endforeach ()
  endif ()
  # By default, do not warn when built on machines using only VS Express:
  if (NOT DEFINED CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_NO_WARNINGS)
    set (CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_NO_WARNINGS ON)
  endif ()
endif ()



# Build configuration:

if (${BUILD_SHARED_LIBS} AND ${CMAKE_SYSTEM_NAME} STREQUAL Windows) # Allow exes to find dlls:
  set (BIN ${PROJECT_BINARY_DIR}/bin/)
  set (EXAMPLES_BIN ${BIN})
  set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${BIN})
  set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${BIN})
else ()
  set (BIN ./)
  set (EXAMPLES_BIN ../examples/)
endif ()

set (LIB_TYPE STATIC)
if (BUILD_SHARED_LIBS)
  set (LIB_TYPE SHARED)
  if (MSVC)
    add_definitions (-DSOXR_DLL)
  endif ()
endif ()



# Installation configuration:

if (NOT DEFINED BIN_INSTALL_DIR)
  set (BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
endif ()
if (NOT DEFINED LIB_INSTALL_DIR)
  set (LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
endif ()
if (NOT DEFINED INCLUDE_INSTALL_DIR)
  set (INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
endif ()
if (NOT DEFINED DOC_INSTALL_DIR)
  if (UNIX)
    set (DOC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/doc/lib${PROJECT_NAME}")
  else ()
    set (DOC_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/doc")
  endif ()
endif ()

if (APPLE)
  option (BUILD_FRAMEWORK "Build an OS X framework." OFF)
  set (FRAMEWORK_INSTALL_DIR "/Library/Frameworks" CACHE STRING "Directory to install frameworks to.")
endif ()



# Add 'make check' target for integration into GNU Autotools.

add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND})



# Top-level:

set (PROJECT_VERSION ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH})
math (EXPR SO_VERSION_MAJOR "${SO_VERSION_CURRENT} - ${SO_VERSION_AGE}")
math (EXPR SO_VERSION_MINOR "${SO_VERSION_AGE}")
math (EXPR SO_VERSION_PATCH "${SO_VERSION_REVISION}")
set (SO_VERSION ${SO_VERSION_MAJOR}.${SO_VERSION_MINOR}.${SO_VERSION_PATCH})

configure_file (
  ${PROJECT_SOURCE_DIR}/${PROJECT_NAME}-config.h.in
  ${PROJECT_BINARY_DIR}/${PROJECT_NAME}-config.h)
include_directories (${PROJECT_BINARY_DIR})

if (BUILD_TESTS OR BUILD_LSR_TESTS)
  enable_testing ()
endif ()

install (FILES
  ${CMAKE_CURRENT_SOURCE_DIR}/README
  ${CMAKE_CURRENT_SOURCE_DIR}/LICENCE
  ${CMAKE_CURRENT_SOURCE_DIR}/NEWS
  DESTINATION ${DOC_INSTALL_DIR})



# Subdirectories:

include_directories (${PROJECT_SOURCE_DIR}/src)

add_subdirectory (src)
if (BUILD_TESTS)
  add_subdirectory (tests)
endif ()
if (BUILD_LSR_TESTS)
  add_subdirectory (lsr-tests)
endif ()
if (BUILD_EXAMPLES OR BUILD_TESTS)
  add_subdirectory (examples)
endif ()



# Rough-and-ready distclean for anyone still doing in-tree builds:

if (UNIX)
  add_custom_target (distclean
    COMMAND make clean && rm -rf
      CMakeCache.txt
      CMakeFiles
      cmake_install.cmake
      CPackConfig.cmake
      CPackSourceConfig.cmake
      deinstall.cmake
      Makefile
      soxr-config.h
      src/CMakeFiles
      src/cmake_install.cmake
      src/libsoxr-dev.src
      src/libsoxr-lsr.pc
      src/libsoxr.pc
      src/libsoxr.src
      src/Makefile)
endif ()



# Deinstallation:

configure_file (
  "${CMAKE_CURRENT_SOURCE_DIR}/deinstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/deinstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target (deinstall
  COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/deinstall.cmake")



# Packaging:

if (UNIX)
  set (CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}")
  set (CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}")
  set (CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}")

  set (CPACK_SOURCE_GENERATOR "TGZ")
  set (CPACK_SOURCE_IGNORE_FILES "dist;/lsr-tests/;/Debug/;/Release/;/cpack/;\\\\.swp$;\\\\.gitignore;/\\\\.git/")

  include (CPack)

  if (IS_DIRECTORY ${PROJECT_SOURCE_DIR}/cpack)
    add_subdirectory (cpack)
  endif ()
endif ()

=== lib-src/mod-script-pipe/Makefile ===
# -----------------------------------------------------------------------------
# Build mod-script-pipe plugin
#
# EXPERIMENTAL!
# (Based on a Makefile by Leland)
#

# -----------------------------------------------------------------------------
# NOTE: Change this to the base of the Audacity source distribution, or specify
#       via command line or environment
#
AUDACITY_DIR = ../..

# -----------------------------------------------------------------------------
# NOTE: Set to the names of your objects and final module name
#
OBJS = PipeServer.o ScripterCallback.o
MOD = mod-script-pipe.so

# -----------------------------------------------------------------------------
# NOTE: Set any custom flags you may need
#
CXXFLAGS += -Wall -std=gnu++11
CXXFLAGS += -DCC_HASVISIBILITY # Normally provided by configure
CXXFLAGS += -DBUILDING_SCRIPT_PIPE
CXXFLAGS += ${shell echo @WX_CXXFLAGS@ | ../../config.status --file=- }
CXXFLAGS += -D__WXDEBUG__ -D__WXGTK__

# -----------------------------------------------------------------------------
# Hopefully the rest is generic enough to satisfy most needs
# -----------------------------------------------------------------------------

CXXFLAGS += -DAUDACITY_DLL_API= -I$(AUDACITY_DIR)/include -I$(AUDACITY_DIR)/src -I$(AUDACITY_DIR)/lib-src/portaudio-v19/include
CXXFLAGS += ${shell echo @CPPFLAGS@ | ../../config.status --file=- }
CXXFLAGS += ${shell echo @CXXFLAGS@ | ../../config.status --file=- | sed -e 's@$$(top_srcdir)@$(AUDACITY_DIR)@g' }
CXXFLAGS += ${shell echo @LIBNYQUIST_CFLAGS@ | ../../config.status --file=- | sed -e 's@$$(top_srcdir)@$(AUDACITY_DIR)@g' }
CXXFLAGS += ${shell echo @WX_CXXFLAGS@ | ../../config.status --file=- }
LDFLAGS += ${shell echo @LIBS@ | ../../config.status --file=- }

SYS = $(shell uname -s)

ifeq ($(SYS),Darwin)
   CXXFLAGS += -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk -mmacosx-version-min=10.4 
   LDFLAGS += $(CXXFLAGS) -dynamiclib -undefined suppress
else
   CXXFLAGS += -fPIC
   LDFLAGS += -shared
endif

LD = g++

all: basecheck $(MOD)

# -----------------------------------------------------------------------------
# Make sure we can get to the Audacity source
#
basecheck:
	@if test -z "$(AUDACITY_DIR)/src/Audacity.h"                   ; \
	then                                                             \
	  echo "You need to set AUDACITY_DIR equal to the base"        ; \
	  echo "of your Audacity source directory.  You can do"        ; \
	  echo "this via an environemnt variable, include it on"       ; \
	  echo "the make command line or set it at the top of"         ; \
	  echo "the Makefile."                                         ; \
     exit 1                                                       ; \
	fi

# -----------------------------------------------------------------------------
# Build it
#
$(MOD): $(OBJS)
	$(LD) $(LDFLAGS) -o $(MOD) $(OBJS)
	@mkdir -p $(AUDACITY_DIR)/modules
	@cp $(MOD) $(AUDACITY_DIR)/modules
	@echo
	@echo "$(MOD) has been copied to $(AUDACITY_DIR)/modules"
	@echo

# -----------------------------------------------------------------------------
# Cleanup
#
clean: 
	-rm $(MOD) $(OBJS)

=== lib-src/lv2/serd/wscript ===
#!/usr/bin/env python
import glob
import os
import shutil
import subprocess
import waflib.Logs as Logs
import waflib.Options as Options
import waflib.extras.autowaf as autowaf

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
SERD_VERSION       = '0.20.0'
SERD_MAJOR_VERSION = '0'

# Mandatory waf variables
APPNAME = 'serd'        # Package name for waf dist
VERSION = SERD_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--no-utils', action='store_true', dest='no_utils',
                   help='Do not build command line utilities')
    opt.add_option('--test', action='store_true', dest='build_tests',
                   help='Build unit tests')
    opt.add_option('--stack-check', action='store_true', dest='stack_check',
                   help='Include runtime stack sanity checks')
    opt.add_option('--static', action='store_true', dest='static',
                   help='Build static library')
    opt.add_option('--no-shared', action='store_true', dest='no_shared',
                   help='Do not build shared library')
    opt.add_option('--static-progs', action='store_true', dest='static_progs',
                   help='Build programs as static binaries')
    opt.add_option('--largefile', action='store_true', dest='largefile',
                   help='Build with large file support on 32-bit systems')
    opt.add_option('--no-posix', action='store_true', dest='no_posix',
                   help='Do not use posix_memalign, posix_fadvise, and fileno, even if present')

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.display_header('Serd Configuration')
    autowaf.set_c99_mode(conf)

    conf.env.BUILD_TESTS  = Options.options.build_tests
    conf.env.BUILD_UTILS  = not Options.options.no_utils
    conf.env.BUILD_SHARED = not Options.options.no_shared
    conf.env.STATIC_PROGS = Options.options.static_progs
    conf.env.BUILD_STATIC = (Options.options.static or
                             Options.options.static_progs)

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    if Options.options.stack_check:
        autowaf.define(conf, 'SERD_STACK_CHECK', SERD_VERSION)

    if Options.options.largefile:
        conf.env.append_unique('DEFINES', ['_FILE_OFFSET_BITS=64'])

    if conf.env.BUILD_TESTS:
        conf.check(lib         = 'gcov',
                   define_name = 'HAVE_GCOV',
                   mandatory   = False)

    conf.check(function_name = 'fmax',
               header_name   = 'math.h',
               define_name   = 'HAVE_FMAX',
               lib           = ['m'],
               mandatory     = False)

    if not Options.options.no_posix:
        conf.check(function_name = 'posix_memalign',
                   header_name   = 'stdlib.h',
                   define_name   = 'HAVE_POSIX_MEMALIGN',
                   defines       = ['_POSIX_C_SOURCE=201112L'],
                   mandatory     = False)

        conf.check(function_name = 'posix_fadvise',
                   header_name   = 'fcntl.h',
                   define_name   = 'HAVE_POSIX_FADVISE',
                   defines       = ['_POSIX_C_SOURCE=201112L'],
                   mandatory     = False)

        conf.check(function_name = 'fileno',
                   header_name   = 'stdio.h',
                   define_name   = 'HAVE_FILENO',
                   defines       = ['_POSIX_C_SOURCE=201112L'],
                   mandatory     = False)

    autowaf.define(conf, 'SERD_VERSION', SERD_VERSION)
    autowaf.set_lib_env(conf, 'serd', SERD_VERSION)
    conf.write_config_header('serd_config.h', remove=False)

    autowaf.display_msg(conf, 'Utilities', str(conf.env.BUILD_UTILS))
    autowaf.display_msg(conf, 'Unit tests', str(conf.env.BUILD_TESTS))
    print('')

lib_source = [
    'src/env.c',
    'src/node.c',
    'src/reader.c',
    'src/string.c',
    'src/uri.c',
    'src/writer.c',
]

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/serd-%s/serd' % SERD_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('serd/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SERD', SERD_VERSION, SERD_MAJOR_VERSION, [],
                     {'SERD_MAJOR_VERSION' : SERD_MAJOR_VERSION})

    libflags = ['-fvisibility=hidden']
    libs     = ['m']
    defines  = []
    if bld.env.MSVC_COMPILER:
        libflags = []
        libs     = []
        defines  = ['snprintf=_snprintf']

    # Shared Library
    if bld.env.BUILD_SHARED:
        bld(features        = 'c cshlib',
            export_includes = ['.'],
            source          = lib_source,
            includes        = ['.', './src'],
            lib             = libs,
            name            = 'libserd',
            target          = 'serd-%s' % SERD_MAJOR_VERSION,
            vnum            = SERD_VERSION,
            install_path    = '${LIBDIR}',
            defines         = defines + ['SERD_SHARED', 'SERD_INTERNAL'],
            cflags          = libflags)

    # Static library
    if bld.env.BUILD_STATIC:
        bld(features        = 'c cstlib',
            export_includes = ['.'],
            source          = lib_source,
            includes        = ['.', './src'],
            lib             = libs,
            name            = 'libserd_static',
            target          = 'serd-%s' % SERD_MAJOR_VERSION,
            vnum            = SERD_VERSION,
            install_path    = '${LIBDIR}',
            defines         = defines + ['SERD_INTERNAL'])

    if bld.env.BUILD_TESTS:
        test_libs   = libs
        test_cflags = ['']
        if bld.is_defined('HAVE_GCOV'):
            test_libs   += ['gcov']
            test_cflags += ['-fprofile-arcs', '-ftest-coverage']

        # Profiled static library for test coverage
        bld(features     = 'c cstlib',
            source       = lib_source,
            includes     = ['.', './src'],
            lib          = test_libs,
            name         = 'libserd_profiled',
            target       = 'serd_profiled',
            install_path = '',
            defines      = defines + ['SERD_INTERNAL'],
            cflags       = test_cflags)

        # Static profiled serdi for tests
        bld(features     = 'c cprogram',
            source       = 'src/serdi.c',
            includes     = ['.', './src'],
            use          = 'libserd_profiled',
            lib          = test_libs,
            target       = 'serdi_static',
            install_path = '',
            defines      = defines,
            cflags       = test_cflags)

        # Unit test program
        bld(features     = 'c cprogram',
            source       = 'tests/serd_test.c',
            includes     = ['.', './src'],
            use          = 'libserd_profiled',
            lib          = test_libs,
            target       = 'serd_test',
            install_path = '',
            defines      = defines,
            cflags       = test_cflags)

    # Utilities
    if bld.env.BUILD_UTILS:
        obj = bld(features     = 'c cprogram',
                  source       = 'src/serdi.c',
                  target       = 'serdi',
                  includes     = ['.', './src'],
                  use          = 'libserd',
                  lib          = libs,
                  install_path = '${BINDIR}')
        if not bld.env.BUILD_SHARED or bld.env.STATIC_PROGS:
            obj.use = 'libserd_static'
        if bld.env.STATIC_PROGS:
            obj.env.SHLIB_MARKER = obj.env.STLIB_MARKER
            obj.linkflags        = ['-static']

    # Documentation
    autowaf.build_dox(bld, 'SERD', SERD_VERSION, top, out)

    # Man page
    bld.install_files('${MANDIR}/man1', 'doc/serdi.1')

    bld.add_post_fun(autowaf.run_ldconfig)
    if bld.env.DOCS:
        bld.add_post_fun(fix_docs)

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* serd/*', shell=True)

def amalgamate(ctx):
    shutil.copy('serd/serd.h', 'build/serd.h')
    amalgamation = open('build/serd.c', 'w')

    serd_internal_h = open('src/serd_internal.h')
    for l in serd_internal_h:
        if l == '#include "serd/serd.h"\n':
            amalgamation.write('#include "serd.h"\n')
        else:
            amalgamation.write(l)
    serd_internal_h.close()

    for f in lib_source:
        fd = open(f)
        amalgamation.write('\n/**\n   @file %s\n*/' % f)
        header = True
        for l in fd:
            if header:
                if l == '*/\n':
                    header = False
            else:
                if l != '#include "serd_internal.h"\n':
                    amalgamation.write(l)
        fd.close()
    amalgamation.close()

    for i in ['c', 'h']:
        Logs.info('Wrote build/serd.%s' % i)

def fix_docs(ctx):
    if ctx.cmd == 'build':
        autowaf.make_simple_dox(APPNAME)

def upload_docs(ctx):
    os.system('rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/serd/')
    for page in glob.glob('doc/*.[1-8]'):
        os.system('soelim %s | pre-grohtml troff -man -wall -Thtml | post-grohtml > build/%s.html' % (page, page))
        os.system('rsync -avz --delete -e ssh build/%s.html drobilla@drobilla.net:~/drobilla.net/man/' % page)

def file_equals(patha, pathb, subst_from='', subst_to=''):
    fa = open(patha, 'rU')
    fb = open(pathb, 'rU')
    for line in fa:
        if line.replace(subst_from, subst_to) != fb.readline().replace(subst_from, subst_to):
            return False
    fa.close()
    fb.close()
    return True

def earl_assertion(test, passed, asserter):
    import datetime

    asserter_str = ''
    if asserter is not None:
        asserter_str = '\n\tearl:assertedBy <%s> ;' % asserter

    passed_str = 'earl:failed'
    if passed:
        passed_str = 'earl:passed'

    return '''
[]
	a earl:Assertion ;%s
	earl:subject <http://drobilla.net/sw/serd> ;
	earl:test <%s> ;
	earl:result [
		a earl:TestResult ;
		earl:outcome %s ;
		dc:date "%s"^^xsd:dateTime
	] .
''' % (asserter_str,
       test,
       passed_str,
       datetime.datetime.now().replace(microsecond=0).isoformat())

def test_thru(ctx, base, path, check_filename, flags):
    in_filename = os.path.join(ctx.path.abspath(), path);
    out_filename = path + '.thru'

    command = ('%s %s -i turtle -o turtle -p foo "%s" "%s" | '
               '%s -i turtle -o ntriples -c foo - "%s" > %s') % (
        'serdi_static', flags.ljust(5),
        in_filename, base,
        'serdi_static', base, out_filename)

    passed = autowaf.run_test(ctx, APPNAME, command, 0, name=out_filename)
    if not passed:
        Logs.pprint('RED', '** Failed command: %s' % command)
        return False

    if not os.access(out_filename, os.F_OK):
        Logs.pprint('RED', 'FAIL: %s is missing' % out_filename)
    elif not file_equals(check_filename, out_filename, '_:docid', '_:genid'):
        Logs.pprint('RED', 'FAIL: %s != %s' % (out_filename, check_filename))
    else:
        #Logs.pprint('GREEN', '** Pass %s == %s' % (out_filename, check_filename))
        return True

    return False

def test_manifest(ctx, srcdir, testdir, report, base_uri):
    import rdflib
    import urlparse

    rdf  = rdflib.Namespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#')
    rdfs = rdflib.Namespace('http://www.w3.org/2000/01/rdf-schema#')
    mf   = rdflib.Namespace('http://www.w3.org/2001/sw/DataAccess/tests/test-manifest#')
    rdft = rdflib.Namespace('http://www.w3.org/ns/rdftest#')

=== lib-src/lv2/suil/wscript ===
#!/usr/bin/env python
import os
import subprocess
import sys
import waflib.Options as Options
import waflib.extras.autowaf as autowaf

# Library and package version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
SUIL_VERSION       = '0.8.2'
SUIL_MAJOR_VERSION = '0'

# Mandatory waf variables
APPNAME = 'suil'        # Package name for waf dist
VERSION = SUIL_VERSION  # Package version for waf dist
top     = '.'           # Source directory
out     = 'build'       # Build directory

def options(opt):
    opt.load('compiler_c')
    opt.load('compiler_cxx')
    autowaf.set_options(opt)
    opt.add_option('--static', action='store_true', dest='static',
                   help="Build static library")
    opt.add_option('--no-shared', action='store_true', dest='no_shared',
                   help='Do not build shared library')
    opt.add_option('--no-gtk', action='store_true', dest='no_gtk',
                   help='Do not build support for Gtk')
    opt.add_option('--no-qt', action='store_true', dest='no_qt',
                   help='Do not build support for Qt')
    opt.add_option('--gtk2-lib-name', type='string', dest='gtk2_lib_name',
                   default="libgtk-x11-2.0.so.0",
                   help="Gtk2 library name [Default: libgtk-x11-2.0.so.0]")

def configure(conf):
    conf.line_just = 40
    conf.load('compiler_c')
    conf.load('compiler_cxx')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Suil Configuration')

    conf.env.BUILD_SHARED = not Options.options.no_shared
    conf.env.BUILD_STATIC = Options.options.static

    if not conf.env.BUILD_SHARED and not conf.env.BUILD_STATIC:
        conf.fatal('Neither a shared nor a static build requested')

    conf.env.NODELETE_FLAGS = []
    if (not conf.env.MSVC_COMPILER and
        conf.check(linkflags = ['-Wl,-z,nodelete'],
                   msg       = 'Checking for link flags -Wl,-z,-nodelete',
                   mandatory = False)):
        conf.env.NODELETE_FLAGS = ['-Wl,-z,nodelete']

    autowaf.check_pkg(conf, 'lv2', atleast_version='1.0.0', uselib_store='LV2')
    autowaf.check_pkg(conf, 'lv2', atleast_version='1.6.0',
                      uselib_store='LV2_1_6_0', mandatory=False)

    if not Options.options.no_gtk:
        autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                          atleast_version='2.18.0', mandatory=False)
        if not conf.is_defined('HAVE_GTK2'):
            autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                              atleast_version='2.0.0', mandatory=False)
            if conf.is_defined('HAVE_GTK2'):
                autowaf.define(conf, 'SUIL_OLD_GTK', 1)

        autowaf.check_pkg(conf, 'gtk+-x11-2.0', uselib_store='GTK2_X11',
                          atleast_version='2.0.0', mandatory=False)

    if not Options.options.no_qt:
        autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
                          atleast_version='4.0.0', mandatory=False)

    conf.check_cc(define_name   = 'HAVE_LIBDL',
                  lib           = 'dl',
                  mandatory     = False)

    autowaf.define(conf, 'SUIL_VERSION', SUIL_VERSION)
    autowaf.define(conf, 'SUIL_MODULE_DIR',
                   conf.env.LIBDIR + '/suil-' + SUIL_MAJOR_VERSION)
    autowaf.define(conf, 'SUIL_DIR_SEP', '/')
    autowaf.define(conf, 'SUIL_GTK2_LIB_NAME', Options.options.gtk2_lib_name);

    module_prefix = ''
    module_ext    = ''
    if conf.env.PARDEBUG:
        module_ext += 'D'
    if Options.platform == 'win32':
        module_ext += '.dll'
    else:
        module_prefix = 'lib'
        module_ext += '.so'

    autowaf.define(conf, 'SUIL_MODULE_PREFIX', module_prefix)
    autowaf.define(conf, 'SUIL_MODULE_EXT', module_ext)

    autowaf.set_lib_env(conf, 'suil', SUIL_VERSION)
    conf.write_config_header('suil_config.h', remove=False)

    autowaf.display_msg(conf, "Gtk2 Support",
                        conf.is_defined('HAVE_GTK2'))
    if conf.is_defined('HAVE_GTK2'):
        autowaf.display_msg(conf, "Gtk2 Library Name",
                            conf.env.SUIL_GTK2_LIB_NAME)
    autowaf.display_msg(conf, "Qt4 Support",
                        conf.is_defined('HAVE_QT4'))
    print('')

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/suil-%s/suil' % SUIL_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('suil/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'SUIL', SUIL_VERSION, SUIL_MAJOR_VERSION, [],
                     {'SUIL_MAJOR_VERSION' : SUIL_MAJOR_VERSION})

    cflags = []
    lib    = []
    modlib = []
    if sys.platform == 'win32':
        modlib += ['user32']
    else:
        cflags += ['-fvisibility=hidden']
        if bld.is_defined('HAVE_LIBDL'):
            lib += ['dl']

    module_dir = '${LIBDIR}/suil-' + SUIL_MAJOR_VERSION

    # Shared Library
    if bld.env.BUILD_SHARED:
        obj = bld(features        = 'c cshlib',
                  export_includes = ['.'],
                  source          = 'src/host.c src/instance.c',
                  target          = 'suil-%s' % SUIL_MAJOR_VERSION,
                  includes        = ['.'],
                  defines         = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  name            = 'libsuil',
                  vnum            = SUIL_VERSION,
                  install_path    = '${LIBDIR}',
                  cflags          = cflags,
                  lib             = lib,
                  uselib          = 'LV2')

    # Static library
    if bld.env.BUILD_STATIC:
        obj = bld(features        = 'c cstlib',
                  export_includes = ['.'],
                  source          = 'src/host.c src/instance.c',
                  target          = 'suil-%s' % SUIL_MAJOR_VERSION,
                  includes        = ['.'],
                  defines         = ['SUIL_INTERNAL'],
                  name            = 'libsuil_static',
                  vnum            = SUIL_VERSION,
                  install_path    = '${LIBDIR}',
                  cflags          = cflags,
                  lib             = lib,
                  uselib          = 'LV2')

    if bld.is_defined('HAVE_GTK2') and bld.is_defined('HAVE_QT4'):
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/gtk2_in_qt4.cpp',
                  target       = 'suil_gtk2_in_qt4',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib)
        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')

        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/qt4_in_gtk2.cpp',
                  target       = 'suil_qt4_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib,
                  linkflags    = bld.env.NODELETE_FLAGS)
        autowaf.use_lib(bld, obj, 'GTK2 QT4 LV2')

    if bld.is_defined('HAVE_GTK2') and bld.is_defined('HAVE_GTK2_X11'):
        obj = bld(features     = 'c cshlib',
                  source       = 'src/x11_in_gtk2.c',
                  target       = 'suil_x11_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib + ['X11'],
                  linkflags    = bld.env.NODELETE_FLAGS)
        autowaf.use_lib(bld, obj, 'GTK2 GTK2_X11 LV2 LV2_1_4_3')

    if bld.is_defined('HAVE_GTK2') and sys.platform == 'win32':
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/win_in_gtk2.cpp',
                  target       = 'suil_win_in_gtk2',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib,
                  linkflags    = bld.env.NODELETE_FLAGS)
        autowaf.use_lib(bld, obj, 'GTK2 LV2')

    if bld.is_defined('HAVE_QT4'):
        obj = bld(features     = 'cxx cxxshlib',
                  source       = 'src/x11_in_qt4.cpp',
                  target       = 'suil_x11_in_qt4',
                  includes     = ['.'],
                  defines      = ['SUIL_SHARED', 'SUIL_INTERNAL'],
                  install_path = module_dir,
                  cflags       = cflags,
                  lib          = modlib)
        autowaf.use_lib(bld, obj, 'QT4 LV2 LV2_1_4_3')

    # Documentation
    autowaf.build_dox(bld, 'SUIL', SUIL_VERSION, top, out)

    bld.add_post_fun(autowaf.run_ldconfig)
    if bld.env.DOCS:
        bld.add_post_fun(fix_docs)

def fix_docs(ctx):
    if ctx.cmd == 'build':
        autowaf.make_simple_dox(APPNAME)

def upload_docs(ctx):
    os.system("rsync -ravz --delete -e ssh build/doc/html/ drobilla@drobilla.net:~/drobilla.net/docs/suil/")

def lint(ctx):
    subprocess.call('cpplint.py --filter=-whitespace,+whitespace/comments,-build/header_guard,-readability/casting,-readability/todo src/* suil/*', shell=True)

=== lib-src/portaudio-v19/examples/CMakeLists.txt ===
# Example projects

MACRO(ADD_EXAMPLE appl_name)
   ADD_EXECUTABLE(${appl_name} "${appl_name}.c")
   TARGET_LINK_LIBRARIES(${appl_name} portaudio_static)
   SET_TARGET_PROPERTIES(${appl_name}
      PROPERTIES
      FOLDER "Examples C"
   )
ENDMACRO(ADD_EXAMPLE)

MACRO(ADD_EXAMPLE_CPP appl_name)
   ADD_EXECUTABLE(${appl_name} "${appl_name}.cpp")
   TARGET_LINK_LIBRARIES(${appl_name} portaudio_static)
   SET_TARGET_PROPERTIES(${appl_name}
      PROPERTIES
      FOLDER "Examples C++"
   )
ENDMACRO(ADD_EXAMPLE_CPP)

ADD_EXAMPLE(pa_devs)
ADD_EXAMPLE(pa_fuzz)
ADD_EXAMPLE(paex_mono_asio_channel_select)
ADD_EXAMPLE(paex_ocean_shore)
ADD_EXAMPLE(paex_pink)
ADD_EXAMPLE(paex_read_write_wire)
ADD_EXAMPLE(paex_record)
ADD_EXAMPLE(paex_record_file)
ADD_EXAMPLE(paex_saw)
ADD_EXAMPLE(paex_sine)
ADD_EXAMPLE_CPP(paex_sine_c++)
ADD_EXAMPLE(paex_wmme_ac3)
ADD_EXAMPLE(paex_wmme_surround)
ADD_EXAMPLE(paex_write_sine)
ADD_EXAMPLE(paex_write_sine_nonint)

=== lib-src/lv2/lv2/plugins/eg-fifths.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-fifths.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Fifths Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', atleast_version='1.2.1', uselib_store='LV2')

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-fifths.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    bld(features     = 'subst',
        source       = 'manifest.ttl.in',
        target       = '%s/%s' % (bundle, 'manifest.ttl'),
        install_path = '${LV2DIR}/%s' % bundle,
        LIB_EXT      = module_ext)
    
    # Copy other data files to build bundle (build/eg-fifths.lv2)
    for i in ['fifths.ttl']:
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = '%s/%s' % (bundle, i),
            install_path = '${LV2DIR}/%s' % bundle)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = ['.']
    if autowaf.is_child:
        includes += ['../..']

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'fifths.c',
              name         = 'fifths',
              target       = '%s/fifths' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              use          = 'SNDFILE LV2',
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== lib-src/libnyquist/nyquist/sys/unix/alsa/Makefile ===
#
# Makefile for Nyquist, SYSTEM-TYPE is ALSA
# run make in the top-level Nyquist directory to compile Nyquist
#
# NOTE: this file is machine-generated.  DO NOT EDIT!
#   Instead, modify makefile.lsp and regenerate the makefile.
#   Ports and bug fixes are welcome - please mail them to 
#   dannenberg@cs.cmu.edu.  Thanks.
#

# This is the resulting executable (normally "ny"):
NY = ny

OPT = -O2 -m32
# OPT = -g -m32

EVERYTHING = $(NY) runtime/system.lsp jnyqide/jNyqIDE.jar \
           bin/ser-to-osc bin/test-client

CURRENT = $(EVERYTHING)

current: $(CURRENT)

onlyny: $(NY) runtime/system.lsp

JAVASRC =  jnyqide/browser.java jnyqide/NyquistThread.java \
	jnyqide/Pair.java jnyqide/BareBonesBrowserLaunch.java \
	jnyqide/EnvelopeFrame.java jnyqide/Piano_Roll.java \
	jnyqide/FindDialog.java jnyqide/PlotFrame.java \
	jnyqide/InstrumentCharacteristics.java jnyqide/PlotMouseAdapter.java \
	jnyqide/Jslide.java jnyqide/PopupListener.java \
	jnyqide/LispFileFilter.java jnyqide/PreferencesDialog.java \
	jnyqide/MainFrame_AboutBox.java jnyqide/ReplaceDialog.java \
	jnyqide/MainFrame.java jnyqide/SpringUtilities.java jnyqide/Main.java \
	jnyqide/NotFoundDialog.java jnyqide/TextColor.java jnyqide/NyqPlot.java \
	jnyqide/Trie.java jnyqide/NyquistFile.java jnyqide/WordList.java

jnyqide/jNyqIDE.jar: $(JAVASRC)
	if [ -r jnyqide/SpecialMacHandler.java ] ; then \
	mv jnyqide/SpecialMacHandler.java jnyqide/SpecialMacHandler.hidden ;\
	fi 
	cd jnyqide; javac *.java 
	mv jnyqide/SpecialMacHandler.hidden jnyqide/SpecialMacHandler.java 
	rm -rf jnyqide/jNyqIDE.jar 
	jar -cfm jnyqide/jNyqIDE.jar jnyqide/manifest.txt jnyqide/*.class 

# Standard list of includes (common to all unix versions)
# Keeping portaudio and libsndfile sources local to nyquist
INCL = -Inyqsrc -Itran -Ixlisp -Isys/unix -Icmt -Iffts/src \
   -Inyqstk/include -Inyqstk -Iportaudio/include -Iportaudio/src/common \
   -Iportaudio/src/os/unix \
   -Iliblo -Inylsf -IFLAC/include -Ilibogg/include -Ilibvorbis/include

# system dependent stuff for alsa:

AUDIOLIBS = -lasound

CC = gcc

LIBPA_PATH = portaudio/lib/.libs
LIBOGG_PATH = libogg/src/.libs
LIBVORBIS_PATH = libvorbis/lib/.libs
LIBLO_PATH = liblo/src/.libs
LIBFLAC_PATH = FLAC/obj/release/lib

# to enable command line editing, use -DREADLINE. WARNING: THIS WILL 
# DISABLE THE ABILITY TO INTERRUPT LISP AND USE SOME OTHER HANDY 
# CONTROL CHARACTERS (You will also need the readline and curses libraries)
CFLAGS = -DOSC -DCMTSTUFF $(OPT) $(INCL) \
    -DHAVE_LIBPTHREAD=1 -D_FILE_OFFSET_BITS=64 \
    -DSTK_NYQUIST -DUSE_VSPRINTF \
    -DHAVE_CONFIG_H
LN = g++ -m32
AR = ar
# to enable command line editing, insert -lreadline -lcurses
LFLAGS = -L/usr/lib32 $(LIBPA_PATH)/libportaudio.a \
         $(LIBLO_PATH)/liblo.a $(AUDIOLIBS) $(LIBFLAC_PATH)/libFLAC.a \
         $(LIBVORBIS_PATH)/libvorbis.a \
         $(LIBVORBIS_PATH)/libvorbisfile.a \
         $(LIBVORBIS_PATH)/libvorbisenc.a $(LIBOGG_PATH)/libogg.a \
         -lm -lpthread -lrt

TAGS:
	find . ( -name "*.c" -o -name "*.h" ) -print | etags -

tags: TAGS

# end of system dependencies

INTGEN = misc/intgen

# Object files for Nyquist:
OBJECTS =  xlisp/extern.o xlisp/xldmem.o xlisp/xlbfun.o xlisp/xlcont.o \
	xlisp/xldbug.o xlisp/xleval.o xlisp/xlfio.o xlisp/xlftab.o \
	xlisp/xlglob.o xlisp/xlimage.o xlisp/xlinit.o xlisp/xlio.o \
	xlisp/xlisp.o xlisp/xljump.o xlisp/xllist.o xlisp/xlmath.o \
	xlisp/xlobj.o xlisp/xlpp.o xlisp/xlprin.o xlisp/xlread.o xlisp/xlstr.o \
	xlisp/xlsubr.o xlisp/xlsym.o xlisp/xlsys.o xlisp/path.o tran/abs.o \
	tran/allpoles.o tran/alpass.o tran/alpasscv.o tran/alpassvv.o \
	tran/amosc.o tran/areson.o tran/aresonvc.o tran/aresoncv.o \
	tran/aresonvv.o tran/atone.o tran/atonev.o tran/biquadfilt.o \
	tran/buzz.o tran/chase.o tran/clip.o tran/congen.o tran/const.o \
	tran/coterm.o tran/delaycc.o tran/delaycv.o tran/eqbandvvv.o tran/exp.o \
	tran/follow.o tran/fmosc.o tran/fromobject.o tran/fromarraystream.o \
	tran/gate.o tran/ifft.o tran/instrclar.o tran/instrclarall.o \
	tran/instrclarfreq.o tran/instrsax.o tran/instrsaxall.o \
	tran/instrsaxfreq.o tran/integrate.o tran/log.o tran/lpreson.o \
	tran/maxv.o tran/offset.o tran/oneshot.o tran/osc.o tran/partial.o \
	tran/pluck.o tran/prod.o tran/pwl.o tran/quantize.o tran/recip.o \
	tran/reson.o tran/resonvc.o tran/resoncv.o tran/resonvv.o \
	tran/sampler.o tran/scale.o tran/shape.o tran/sine.o tran/siosc.o \
	tran/slope.o tran/sqrt.o tran/tapf.o tran/tapv.o tran/tone.o \
	tran/tonev.o tran/upsample.o tran/white.o tran/stkrev.o \
	tran/stkpitshift.o tran/stkchorus.o tran/instrbow.o \
	tran/instrbowedfreq.o tran/instrbanded.o tran/instrmandolin.o \
	tran/instrsitar.o tran/instrmodalbar.o tran/instrflute.o \
	tran/instrflutefreq.o tran/instrfluteall.o tran/fmfb.o tran/fmfbv.o \
	cmt/cext.o cmt/cleanup.o cmt/cmdline.o cmt/cmtcmd.o cmt/moxc.o \
	cmt/mem.o cmt/midifile.o cmt/midifns.o cmt/record.o cmt/seq.o \
	cmt/seqmread.o cmt/seqmwrite.o cmt/seqread.o cmt/seqwrite.o \
	cmt/tempomap.o cmt/timebase.o cmt/userio.o nylsf/aiff.o nylsf/alaw.o \
	nylsf/au.o nylsf/audio_detect.o nylsf/avr.o nylsf/broadcast.o \
	nylsf/caf.o nylsf/chanmap.o nylsf/chunk.o nylsf/command.o \
	nylsf/common.o nylsf/dither.o nylsf/double64.o nylsf/dwd.o nylsf/dwvw.o \
	nylsf/file_io.o nylsf/flac.o nylsf/float32.o nylsf/gsm610.o nylsf/htk.o \
	nylsf/id3.o nylsf/ima_adpcm.o nylsf/ima_oki_adpcm.o nylsf/interleave.o \
	nylsf/ircam.o nylsf/macbinary3.o nylsf/macos.o nylsf/mat4.o \
	nylsf/mat5.o nylsf/mpc2k.o nylsf/ms_adpcm.o nylsf/nist.o nylsf/ogg.o \
	nylsf/ogg_vorbis.o nylsf/paf.o nylsf/pcm.o nylsf/pvf.o nylsf/raw.o \
	nylsf/rf64.o nylsf/rx2.o nylsf/sd2.o nylsf/sds.o nylsf/sndfile.o \
	nylsf/strings.o nylsf/svx.o nylsf/txw.o nylsf/ulaw.o nylsf/voc.o \
	nylsf/vox_adpcm.o nylsf/w64.o nylsf/wav.o nylsf/wav_w64.o nylsf/wve.o \
	nylsf/xi.o nylsf/g72x.o nylsf/GSM610/add.o nylsf/GSM610/code.o \
	nylsf/GSM610/decode.o nylsf/GSM610/gsm_create.o \
	nylsf/GSM610/gsm_decode.o nylsf/GSM610/gsm_destroy.o \
	nylsf/GSM610/gsm_encode.o nylsf/GSM610/gsm_option.o \
	nylsf/GSM610/long_term.o nylsf/GSM610/lpc.o nylsf/GSM610/preprocess.o \
	nylsf/GSM610/rpe.o nylsf/GSM610/short_term.o nylsf/GSM610/table.o \
	nylsf/G72x/g721.o nylsf/G72x/g723_16.o nylsf/G72x/g723_24.o \
	nylsf/G72x/g723_40.o nylsf/G72x/g72x.o nyqsrc/debug.o nyqsrc/falloc.o \
	nyqsrc/local.o nyqsrc/handlers.o nyqsrc/multiread.o nyqsrc/seqext.o \
	nyqsrc/seqinterf.o nyqsrc/stats.o nyqsrc/ffilterkit.o nyqsrc/sound.o \
	nyqsrc/add.o nyqsrc/avg.o nyqsrc/compose.o nyqsrc/convolve.o \
	nyqsrc/downsample.o nyqsrc/fft.o nyqsrc/inverse.o nyqsrc/multiseq.o \
	nyqsrc/resamp.o nyqsrc/resampv.o nyqsrc/samples.o nyqsrc/sndmax.o \
	nyqsrc/sndread.o nyqsrc/sndseq.o nyqsrc/sndsliders.o \
	nyqsrc/sliderdata.o nyqsrc/sndwritepa.o nyqsrc/yin.o \
	nyqsrc/nyq-osc-server.o nyqsrc/trigger.o nyqsrc/lpanal.o \
	nyqsrc/phasevocoder.o nyqsrc/pvshell.o nyqstk/src/Generator.o \
	nyqstk/src/SineWave.o nyqstk/src/Function.o nyqstk/src/FileRead.o \
	nyqstk/src/FileWvIn.o nyqstk/src/Effect.o nyqstk/src/Clarinet.o \
	nyqstk/src/Delay.o nyqstk/src/DelayL.o nyqstk/src/Envelope.o \
	nyqstk/src/Filter.o nyqstk/src/Instrmnt.o nyqstk/src/Noise.o \
	nyqstk/src/OneZero.o nyqstk/src/ReedTable.o nyqstk/src/Saxofony.o \
	nyqstk/src/Stk.o nyqstk/src/WaveLoop.o nyqstk/src/WvIn.o \
	nyqstk/src/NRev.o nyqstk/src/JCRev.o nyqstk/src/PRCRev.o \
	nyqstk/src/PitShift.o nyqstk/src/Chorus.o nyqstk/src/Bowed.o \
	nyqstk/src/BowTable.o nyqstk/src/ADSR.o nyqstk/src/OnePole.o \
	nyqstk/src/BiQuad.o nyqstk/src/BandedWG.o nyqstk/src/DelayA.o \
	nyqstk/src/Mandolin.o nyqstk/src/PluckTwo.o nyqstk/src/Sitar.o \
	nyqstk/src/ModalBar.o nyqstk/src/Modal.o nyqstk/src/Flute.o \
	nyqstk/src/JetTable.o nyqstk/src/PoleZero.o nyqstk/stkinit.o \
	nyqstk/instr.o nyqstk/stkint.o ffts/src/fftext.o ffts/src/fftlib.o \
	ffts/src/matlib.o nyqsrc/sndfnint.o nyqsrc/seqfnint.o \
	sys/unix/osstuff.o sys/unix/term.o

# Sound functions to add to xlisp
SNDFNINT_HDRS =  nyqsrc/sndfmt.h nylsf/sndfile.h nyqsrc/sound.h \
	nyqsrc/add.h nyqsrc/avg.h nyqsrc/compose.h nyqsrc/convolve.h \
	nyqsrc/downsample.h nyqsrc/fft.h nyqsrc/inverse.h nyqsrc/multiseq.h \
	nyqsrc/resamp.h nyqsrc/resampv.h nyqsrc/samples.h nyqsrc/sndmax.h \
	nyqsrc/sndread.h nyqsrc/sndseq.h nyqsrc/sndsliders.h \
	nyqsrc/sliderdata.h nyqsrc/sndwritepa.h nyqsrc/yin.h \
	nyqsrc/nyq-osc-server.h nyqsrc/trigger.h nyqsrc/lpanal.h \
	nyqsrc/phasevocoder.h nyqsrc/pvshell.h tran/abs.h tran/allpoles.h \
	tran/alpass.h tran/alpasscv.h tran/alpassvv.h tran/amosc.h \
	tran/areson.h tran/aresonvc.h tran/aresoncv.h tran/aresonvv.h \
	tran/atone.h tran/atonev.h tran/biquadfilt.h tran/buzz.h tran/chase.h \
	tran/clip.h tran/congen.h tran/const.h tran/coterm.h tran/delaycc.h \
	tran/delaycv.h tran/eqbandvvv.h tran/exp.h tran/follow.h tran/fmosc.h \
	tran/fromobject.h tran/fromarraystream.h tran/gate.h tran/ifft.h \
	tran/instrclar.h tran/instrclarall.h tran/instrclarfreq.h \
	tran/instrsax.h tran/instrsaxall.h tran/instrsaxfreq.h tran/integrate.h \
	tran/log.h tran/lpreson.h tran/maxv.h tran/offset.h tran/oneshot.h \
	tran/osc.h tran/partial.h tran/pluck.h tran/prod.h tran/pwl.h \
	tran/quantize.h tran/recip.h tran/reson.h tran/resonvc.h tran/resoncv.h \
	tran/resonvv.h tran/sampler.h tran/scale.h tran/shape.h tran/sine.h \
	tran/siosc.h tran/slope.h tran/sqrt.h tran/tapf.h tran/tapv.h \
	tran/tone.h tran/tonev.h tran/upsample.h tran/white.h tran/stkrev.h \
	tran/stkpitshift.h tran/stkchorus.h tran/instrbow.h \
	tran/instrbowedfreq.h tran/instrbanded.h tran/instrmandolin.h \
	tran/instrsitar.h tran/instrmodalbar.h tran/instrflute.h \
	tran/instrflutefreq.h tran/instrfluteall.h tran/fmfb.h tran/fmfbv.h \
	nyqsrc/sndwrite.h

SEQFNINT_HDRS =  cmt/seqdecls.h nyqsrc/seqext.h cmt/seq.h \
	nyqsrc/seqinterf.h cmt/seqread.h cmt/seqmread.h cmt/seqwrite.h \
	cmt/seqmwrite.h



liblo/Makefile:
	cd liblo; ./configure CFLAGS=-m32 LDFLAGS=-m32 CXXFLAGS=-m32 --enable-static --disable-shared
	# sometimes, residual files cause problems
	cd liblo; make clean

$(LIBLO_PATH)/liblo.a: liblo/Makefile
	cd liblo; make

bin/ser-to-osc: $(LIBLO_PATH)/liblo.a
	mkdir -p bin
	$(CC) -c $(CFLAGS) liblo/ser-to-osc/ser-to-osc.cpp \
	      -o liblo/ser-to-osc/ser-to-osc.o
	$(LN)  liblo/ser-to-osc/ser-to-osc.o -o bin/ser-to-osc $(LFLAGS)

bin/test-client: $(LIBLO_PATH)/liblo.a
	mkdir -p bin
	$(CC) -c $(CFLAGS) liblo/test-client/test-client.c \
	      -o liblo/test-client/test-client.o
	$(LN) liblo/test-client/test-client.o -o bin/test-client  $(LFLAGS)

portaudio/Makefile:
	# note: without-jack avoids 32/64-bit link error on Debian
	cd portaudio; ./configure CFLAGS=-m32 LDFLAGS=-m32 CXXFLAGS=-m32 --enable-static --disable-shared --without-jack --with-alsa
	# sometimes, residual files cause problems
	cd portaudio; make clean

$(LIBPA_PATH)/libportaudio.a: portaudio/Makefile
	cd portaudio; make lib/libportaudio.la

libogg/Makefile:
	cd libogg; ./configure CFLAGS=-m32 LDFLAGS=-m32 CXXFLAGS=-m32 --enable-static --disable-shared

$(LIBOGG_PATH)/libogg.a: libogg/Makefile
	cd libogg; make

# NOTE: libvorbis/configure on a 64-bit machine will expect to find
#  libogg installed (even though we are not going to use the installed
#  libogg library, and even though the installed libogg library will
#  be for 64-bit architecture. This represents a bug in configure
#  because it checks for a 64-bit library when it is building for
#  a 32-bit architecture (we pass in CFLAGS=-m32). In spite of the 
#  bug, configure will build a Makefile that will build a 32-bit
#  libvorbis library that we need. We will link it with other 
#  32-bit code including 32-bit libogg.a

libvorbis/Makefile:
	cd libvorbis; ./configure CFLAGS=-m32 LDFLAGS=-m32 CXXFLAGS=-m32 --enable-static --disable-shared

$(LIBVORBIS_PATH)/libvorbis.a: libvorbis/Makefile
	cd libvorbis; make

$(LIBVORBIS_PATH)/libvorbisfile.a: libvorbis/Makefile
	cd libvorbis; make

$(LIBVORBIS_PATH)/libvorbisenc.a: libvorbis/Makefile
	cd libvorbis; make

=== lib-src/libnyquist/nyquist/sys/unix/rs6k/Makefile ===
#
# Makefile for Nyquist, SYSTEM-TYPE is RS6K
# run make in the top-level Nyquist directory to compile Nyquist
#
# NOTE: this file is machine-generated.  DO NOT EDIT!
#   Instead, modify makefile.lsp and regenerate the makefile.
#   Ports and bug fixes are welcome - please mail them to 
#   dannenberg@cs.cmu.edu.  Thanks.
#

# This is the resulting executable (normally "ny"):
NY = ny

# Standard list of includes (common to all unix versions)
INCL = -Inyqsrc -Itran -Ixlisp -Isys/unix -Icmt -Isnd -Ifft

# system dependent stuff for rs6k:

MIDI = /afs/cs/project/music/rs6k/midilib
CC = cc
# change -g to -O for optimization
CFLAGS = -DCMTSTUFF -g $(INCL) -I$(MIDI)
XFLAGS = $(CFLAGS) -qlanglvl=extended
LN = xlc -qattr -qlist
LFLAGS = -lm -L$(MIDI) -lmidi -lbsd -lg


INTGEN = misc/intgen

# Object files for Nyquist:
OBJECTS = xlisp/extern.o xlisp/xldmem.o xlisp/xlbfun.o xlisp/xlcont.o  \
	xlisp/xldbug.o xlisp/xleval.o xlisp/xlfio.o xlisp/xlftab.o  \
	xlisp/xlglob.o xlisp/xlimage.o xlisp/xlinit.o xlisp/xlio.o  \
	xlisp/xlisp.o xlisp/xljump.o xlisp/xllist.o xlisp/xlmath.o  \
	xlisp/xlobj.o xlisp/xlpp.o xlisp/xlprin.o xlisp/xlread.o  \
	xlisp/xlstr.o xlisp/xlsubr.o xlisp/xlsym.o xlisp/xlsys.o  \
	tran/amosc.o tran/clip.o tran/const.o tran/fmosc.o  \
	tran/integrate.o tran/log.o tran/maxv.o tran/osc.o  \
	tran/prod.o tran/buzz.o tran/pwl.o tran/recip.o  \
	tran/upsample.o tran/scale.o tran/sine.o tran/partial.o  \
	tran/white.o tran/tone.o tran/tonev.o tran/atonev.o  \
	tran/atone.o tran/reson.o tran/areson.o tran/resonvc.o  \
	tran/resoncv.o tran/aresonvc.o tran/aresoncv.o tran/resonvv.o  \
	tran/aresonvv.o tran/offset.o tran/slope.o tran/delay.o  \
	tran/delaycv.o tran/shape.o tran/sampler.o tran/exp.o  \
	tran/siosc.o tran/follow.o tran/gate.o tran/quantize.o  \
	tran/ifft.o tran/congen.o tran/fromobject.o tran/fromarraystream.o  \
	tran/coterm.o tran/convolve.o tran/alpass.o tran/oneshot.o  \
	tran/chase.o tran/tapv.o tran/biquad.o tran/pluck.o  \
	cmt/cext.o cmt/cleanup.o cmt/cmdline.o cmt/cmtcmd.o  \
	cmt/moxc.o cmt/mem.o cmt/midifile.o cmt/midifns.o  \
	cmt/record.o cmt/seq.o cmt/seqmread.o cmt/seqmwrite.o  \
	cmt/seqread.o cmt/seqwrite.o cmt/tempomap.o cmt/timebase.o  \
	cmt/userio.o nyqsrc/debug.o nyqsrc/falloc.o nyqsrc/add.o  \
	nyqsrc/local.o nyqsrc/downsample.o nyqsrc/handlers.o nyqsrc/multiread.o  \
	nyqsrc/multiseq.o nyqsrc/samples.o nyqsrc/seqext.o nyqsrc/seqinterf.o  \
	nyqsrc/sndread.o nyqsrc/sndseq.o nyqsrc/sndwrite.o nyqsrc/sndmax.o  \
	nyqsrc/sound.o nyqsrc/stats.o nyqsrc/compose.o nyqsrc/inverse.o  \
	nyqsrc/resamp.o nyqsrc/resampv.o nyqsrc/ffilterkit.o nyqsrc/avg.o  \
	nyqsrc/fft.o nyqsrc/sndfail.o fft/fftn.o nyqsrc/sndfnint.o  \
	nyqsrc/seqfnint.o snd/audiors6k.o snd/sndrs6k.o snd/ieeecvt.o  \
	snd/snd.o snd/sndcvt.o snd/sndio.o snd/sndheader.o  \
	sys/unix/osstuff.o sys/unix/term.o 

# Sound functions to add to xlisp
NYQHDRS = snd/snd.h nyqsrc/sound.h nyqsrc/downsample.h nyqsrc/sndread.h  \
	nyqsrc/sndseq.h nyqsrc/add.h nyqsrc/multiseq.h nyqsrc/samples.h  \
	nyqsrc/sndwrite.h nyqsrc/sndmax.h nyqsrc/compose.h nyqsrc/inverse.h  \
	nyqsrc/resamp.h nyqsrc/resampv.h nyqsrc/fft.h nyqsrc/avg.h  \
	tran/amosc.h tran/clip.h tran/const.h tran/fmosc.h  \
	tran/integrate.h tran/log.h tran/maxv.h tran/osc.h  \
	tran/prod.h tran/buzz.h tran/pwl.h tran/recip.h  \
	tran/upsample.h tran/scale.h tran/sine.h tran/partial.h  \
	tran/white.h tran/tone.h tran/tonev.h tran/atonev.h  \
	tran/atone.h tran/reson.h tran/areson.h tran/resonvc.h  \
	tran/resoncv.h tran/aresonvc.h tran/aresoncv.h tran/resonvv.h  \
	tran/aresonvv.h tran/offset.h tran/slope.h tran/delaycc.h  \
	tran/delaycv.h tran/shape.h tran/sampler.h tran/exp.h  \
	tran/siosc.h tran/follow.h tran/gate.h tran/quantize.h  \
	tran/ifft.h tran/congen.h tran/fromobject.h tran/fromarraystream.h  \
	tran/coterm.h tran/convolve.h tran/alpass.h tran/oneshot.h  \
	tran/chase.h tran/tapv.h tran/biquad.h tran/pluck.h 

CMTHDRS = cmt/seqdecls.h nyqsrc/seqext.h cmt/seq.h nyqsrc/seqinterf.h  \
	cmt/seqread.h cmt/seqmread.h cmt/seqwrite.h cmt/seqmwrite.h 


EVERYTHING = $(NY) runtime/system.lsp

CURRENT = $(EVERYTHING)

current: $(CURRENT)

$(NY): $(OBJECTS)
	$(LN) $(OBJECTS) $(LFLAGS) -o $(NY)

# copy appropriate system.lsp and make it read-only;
# changes should be made to sys/unix/<system>/system.lsp
runtime/system.lsp: sys/unix/rs6k/system.lsp
	chmod +w runtime/system.lsp
	cp -p sys/unix/rs6k/system.lsp runtime/system.lsp
	chmod -w runtime/system.lsp

nyqsrc/debug.o: nyqsrc/debug.c nyqsrc/debug.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/debug.c -o nyqsrc/debug.o $(CFLAGS)

nyqsrc/falloc.o: nyqsrc/falloc.c nyqsrc/falloc.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/falloc.c -o nyqsrc/falloc.o $(CFLAGS)

nyqsrc/add.o: nyqsrc/add.c nyqsrc/add.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/add.c -o nyqsrc/add.o $(CFLAGS)

nyqsrc/local.o: nyqsrc/local.c xlisp/xlisp.h nyqsrc/sound.h
	cc -c nyqsrc/local.c -o nyqsrc/local.o $(CFLAGS)

nyqsrc/downsample.o: nyqsrc/downsample.c nyqsrc/downsample.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/downsample.c -o nyqsrc/downsample.o $(CFLAGS)

nyqsrc/handlers.o: nyqsrc/handlers.c 
	cc -c nyqsrc/handlers.c -o nyqsrc/handlers.o $(CFLAGS)

nyqsrc/multiread.o: nyqsrc/multiread.c nyqsrc/multiread.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/multiread.c -o nyqsrc/multiread.o $(CFLAGS)

nyqsrc/multiseq.o: nyqsrc/multiseq.c nyqsrc/multiseq.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/multiseq.c -o nyqsrc/multiseq.o $(CFLAGS)

nyqsrc/samples.o: nyqsrc/samples.c nyqsrc/samples.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/samples.c -o nyqsrc/samples.o $(CFLAGS)

nyqsrc/seqext.o: nyqsrc/seqext.c nyqsrc/seqext.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/seqext.c -o nyqsrc/seqext.o $(CFLAGS)

nyqsrc/seqinterf.o: nyqsrc/seqinterf.c nyqsrc/seqinterf.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/seqinterf.c -o nyqsrc/seqinterf.o $(CFLAGS)

nyqsrc/sndread.o: nyqsrc/sndread.c nyqsrc/sndread.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sndread.c -o nyqsrc/sndread.o $(CFLAGS)

nyqsrc/sndseq.o: nyqsrc/sndseq.c nyqsrc/sndseq.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sndseq.c -o nyqsrc/sndseq.o $(CFLAGS)

nyqsrc/sndwrite.o: nyqsrc/sndwrite.c nyqsrc/sndwrite.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sndwrite.c -o nyqsrc/sndwrite.o $(CFLAGS)

nyqsrc/sndmax.o: nyqsrc/sndmax.c nyqsrc/sndmax.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sndmax.c -o nyqsrc/sndmax.o $(CFLAGS)

nyqsrc/sound.o: nyqsrc/sound.c nyqsrc/sound.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/sound.c -o nyqsrc/sound.o $(CFLAGS)

nyqsrc/stats.o: nyqsrc/stats.c nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/stats.c -o nyqsrc/stats.o $(CFLAGS)

nyqsrc/compose.o: nyqsrc/compose.c nyqsrc/compose.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/compose.c -o nyqsrc/compose.o $(CFLAGS)

nyqsrc/inverse.o: nyqsrc/inverse.c nyqsrc/inverse.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/inverse.c -o nyqsrc/inverse.o $(CFLAGS)

nyqsrc/resamp.o: nyqsrc/resamp.c nyqsrc/resamp.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/resamp.c -o nyqsrc/resamp.o $(CFLAGS)

nyqsrc/resampv.o: nyqsrc/resampv.c nyqsrc/resampv.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/resampv.c -o nyqsrc/resampv.o $(CFLAGS)

nyqsrc/ffilterkit.o: nyqsrc/ffilterkit.c nyqsrc/ffilterkit.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/ffilterkit.c -o nyqsrc/ffilterkit.o $(CFLAGS)

nyqsrc/avg.o: nyqsrc/avg.c nyqsrc/avg.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/avg.c -o nyqsrc/avg.o $(CFLAGS)

nyqsrc/fft.o: nyqsrc/fft.c nyqsrc/fft.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c nyqsrc/fft.c -o nyqsrc/fft.o $(CFLAGS)

nyqsrc/sndfail.o: nyqsrc/sndfail.c 
	cc -c nyqsrc/sndfail.c -o nyqsrc/sndfail.o $(CFLAGS)

snd/audiors6k.o: snd/audiors6k.c snd/snd.h
	cc -c snd/audiors6k.c -o snd/audiors6k.o $(CFLAGS)

snd/sndrs6k.o: snd/sndrs6k.c snd/sndrs6k.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c snd/sndrs6k.c -o snd/sndrs6k.o $(CFLAGS)

snd/ieeecvt.o: snd/ieeecvt.c snd/ieeecvt.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c snd/ieeecvt.c -o snd/ieeecvt.o $(CFLAGS)

snd/snd.o: snd/snd.c snd/snd.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c snd/snd.c -o snd/snd.o $(CFLAGS)

snd/sndcvt.o: snd/sndcvt.c snd/snd.h
	cc -c snd/sndcvt.c -o snd/sndcvt.o $(CFLAGS)

snd/sndio.o: snd/sndio.c snd/snd.h
	cc -c snd/sndio.c -o snd/sndio.o $(CFLAGS)

snd/sndheader.o: snd/sndheader.c snd/sndheader.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c snd/sndheader.c -o snd/sndheader.o $(CFLAGS)

fft/fftn.o: fft/fftn.c fft/fftn.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c fft/fftn.c -o fft/fftn.o $(CFLAGS)

tran/amosc.o: tran/amosc.c tran/amosc.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/amosc.c -o tran/amosc.o $(CFLAGS)

tran/clip.o: tran/clip.c tran/clip.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/clip.c -o tran/clip.o $(CFLAGS)

tran/const.o: tran/const.c tran/const.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/const.c -o tran/const.o $(CFLAGS)

tran/fmosc.o: tran/fmosc.c tran/fmosc.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/fmosc.c -o tran/fmosc.o $(CFLAGS)

tran/integrate.o: tran/integrate.c tran/integrate.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/integrate.c -o tran/integrate.o $(CFLAGS)

tran/log.o: tran/log.c tran/log.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/log.c -o tran/log.o $(CFLAGS)

tran/maxv.o: tran/maxv.c tran/maxv.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/maxv.c -o tran/maxv.o $(CFLAGS)

tran/osc.o: tran/osc.c tran/osc.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/osc.c -o tran/osc.o $(CFLAGS)

tran/prod.o: tran/prod.c tran/prod.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/prod.c -o tran/prod.o $(CFLAGS)

tran/buzz.o: tran/buzz.c tran/buzz.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/buzz.c -o tran/buzz.o $(CFLAGS)

tran/pwl.o: tran/pwl.c tran/pwl.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/pwl.c -o tran/pwl.o $(CFLAGS)

tran/recip.o: tran/recip.c tran/recip.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/recip.c -o tran/recip.o $(CFLAGS)

tran/upsample.o: tran/upsample.c tran/upsample.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/upsample.c -o tran/upsample.o $(CFLAGS)

tran/scale.o: tran/scale.c tran/scale.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/scale.c -o tran/scale.o $(CFLAGS)

tran/sine.o: tran/sine.c tran/sine.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/sine.c -o tran/sine.o $(CFLAGS)

tran/partial.o: tran/partial.c tran/partial.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/partial.c -o tran/partial.o $(CFLAGS)

tran/white.o: tran/white.c tran/white.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/white.c -o tran/white.o $(CFLAGS)

tran/tone.o: tran/tone.c tran/tone.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/tone.c -o tran/tone.o $(CFLAGS)

tran/tonev.o: tran/tonev.c tran/tonev.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/tonev.c -o tran/tonev.o $(CFLAGS)

tran/atonev.o: tran/atonev.c tran/atonev.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/atonev.c -o tran/atonev.o $(CFLAGS)

tran/atone.o: tran/atone.c tran/atone.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/atone.c -o tran/atone.o $(CFLAGS)

tran/reson.o: tran/reson.c tran/reson.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/reson.c -o tran/reson.o $(CFLAGS)

tran/areson.o: tran/areson.c tran/areson.h nyqsrc/sound.h nyqsrc/falloc.h nyqsrc/cque.h
	cc -c tran/areson.c -o tran/areson.o $(CFLAGS)

=== debian/changelog ===
audacity (2.2.1-1) unstable; urgency=medium

  * Add filter option to gbp.conf file.
  * New upstream version 2.2.1
  * Introduce postclone.sh script to ignore .pc/ dir.
  * Patches refreshed.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 11 Dec 2017 12:20:41 +0100

audacity (2.2.0-2) unstable; urgency=medium

  * Fix FTBFS on non-x86 archs. (Closes: #882173)
    Thanks to James Cowgill <jcowgill@debian.org>

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 24 Nov 2017 18:23:25 +0100

audacity (2.2.0-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream release. (Closes: #858173)
  * debian/{control,compat,rules}: Bump debhelper compat to 10.
  * deian/compat:
    - Bump Standards-Version.

  [ Jaromír Mikeš ]
  * Fix watch file.
  * Add myself as uploader.
  * New upstream version 2.2.0

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 19 Nov 2017 19:28:34 +0100

=== debian/control ===
Source: audacity
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Benjamin Drung <bdrung@debian.org>,
           David Henningsson <diwic@ubuntu.com>,
           Jaromír Mikeš <mira.mikes@seznam.cz>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10),
               gettext,
               libasound2-dev [linux-any],
               libavcodec-dev (>= 6:0.8),
               libavformat-dev (>= 6:0.8),
               libavutil-dev (>= 6:0.8),
               libexpat1-dev,
               libflac++-dev,
               libgtk2.0-dev,
               libid3tag0-dev,
               libjack-dev,
               liblilv-dev,
               libmad0-dev (>= 0.14.2b),
               libmp3lame-dev,
               libogg-dev (>= 1.0.0),
               libportsmf-dev,
#               libsbsms-dev (>= 2.2.0),
               libsndfile1-dev (>= 1.0.0),
               libsoundtouch-dev (>= 1.3.1-2),
               libsoxr-dev (>= 0.0.5),
               libsuil-dev,
               libtwolame-dev (>= 0.3.9),
               libvorbis-dev (>= 1.0.0-3),
               libwxgtk3.0-dev,
               lv2-dev,
               portaudio19-dev (>= 19+svn20101113-3~),
               vamp-plugin-sdk (>= 2.0)
Homepage: http://audacityteam.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/audacity.git
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/audacity.git

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ladspa-plugin
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Depends: ${misc:Depends}
Recommends: audacity
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 This package contains the architecture-independent data files.
